# 
# Do NOT Edit the Auto-generated Part!
# Generated by: spectacle version 0.27
# 

Name:       gitpkg

# >> macros
# Magic
%{!?python3_sitelib: %global python3_sitelib %(%{__python3} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python3_sitearch: %global python3_sitearch %(%{__python3} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%define obs_libdir /usr/lib
# << macros

Summary:    Helps manage packaging in git
Version:    0.1.4
Release:    4%{?dist}.8
Group:      Development
License:    GPLv2
BuildArch:  noarch
Source0:    gitpkg-%{version}.tar.gz
Source100:  gitpkg.yaml
Patch1:     0001-Add-url-parameter-to-allow-gitpkg-service-to-use-rep.patch
Patch2:     0002-Remove-shebang-in-BlockDumper-Python-module.patch
Patch3:     0003-Make-code-Python-3-compatible.patch
Requires:   git
Requires:   pristine-tar
Requires:   python3-yaml
Requires:   grep
Requires:   coreutils
Requires:   findutils
BuildRequires:  python3-devel

%description
Allows the packaging to be maintained in a discrete git tree in the same git repo as the source

%package -n obs-service-gitpkg
Summary:    An OBS source service: Uses gitpkg to retrieve source
Group:      Development
Requires:   %{name} = %{version}-%{release}
Requires:   gitpkg

%description -n obs-service-gitpkg
Uses gitpkg to retrieve source

%prep
%setup -q -n src
%patch1 -p1
%patch2 -p1
%patch3 -p1

# >> setup
# << setup

%build
# >> build pre
# << build pre


PYTHON=%{__python3} make %{?jobs:-j%jobs}

# >> build post
# << build post

%install
rm -rf %{buildroot}
# >> install pre
# << install pre
PYTHON=%{__python3} %make_install

# >> install post
# << install post

%files
%defattr(-,root,root,-)
%{_bindir}/git-pkg
%{_bindir}/gp_release
%{_bindir}/gp_setup
%{_bindir}/gp_mkpkg
%dir %{_datadir}/gitpkg/
%{_datadir}/gitpkg/gp_common
%{python3_sitelib}/*
# >> files
# << files

%files -n obs-service-gitpkg
%defattr(-,root,root,-)
%dir %{obs_libdir}/obs/
%dir %{obs_libdir}/obs/service/
%{obs_libdir}/obs/service/gitpkg
%{obs_libdir}/obs/service/gitpkg.service
# >> files obs-service-gitpkg
# << files obs-service-gitpkg
%changelog
* Tue Apr 30 2030 Oleg Girko <ol@infoserver.lv> - 0.1.4-5
- Port to Python 3.
* Fri Apr 19 2019 Oleg Girko <ol@infoserver.lv> - 0.1.4-4
- Use %%{__python2} macro for Python interpreter to build scripts.
* Tue Nov 26 2013 Oleg Girko <ol@infoserver.lv> - 0.1.4-3
- Use %%{__python} macro for Python interpreter to build scripts.
* Fri Nov  8 2013 Oleg Girko <ol@infoserver.lv> - 0.1.4-2
- Add patch to allow gitpkg OBS service to use arbitrary repos.
* Thu Jul  4 2013 David Greaves <david@dgreaves.com> - 0.1.4-1
- [gp_release] Update _src and spec/yaml *after* editing changelog so an abort leaves it in a good state
* Wed Jul  3 2013 David Greaves <david@dgreaves.com> - 0.1.3-1
- [gp_release] PKG_DIR and PKG_FILE can specify rpm/ dir and which .spec/yaml to use.
- [gp_release] Support the [summary] format in git log
* Fri Jun 14 2013 David Greaves <david@dgreaves.com> - 0.1.2-1
- Create $DISTRO-master if it doesn't exist
- Automatically tag --ver if it doesn't exist
- Fix an issue where Version/Release are interpreted as non-string values
* Sat Jun  8 2013 David Greaves <david@dgreaves.com> - 0.1.1-1
- Use a sensible name in _src for the tarball
- The command : git pkg    will now ensure the pkg_dir is setup if appropriate
  Also support pkg_dir != rpm/ by setting PKG_DIR
* Thu Jun  6 2013 David Greaves <david@dgreaves.com> - 0.1.0-1
- Introduce git pkg syntax and use rpm/ as the location of packaging
  Massive simplification to workflow
  Based on an approach from:
    https://github.com/cypher/dotfiles/blob/master/bin/git-new-workdir
  Remove switching between src and packaging
- Store old value of tags in case they were moved and not just made
- Fixup changelog dates
* Wed May 22 2013 David Greaves <david@dgreaves.com> - 0.0.8-1
- Handle %%setup lines correctly - thanks to Juha for help getting it right
- Clean up comments for patches by removing leading numerics
- Remove whitespace, not just spaces from Version/Release
- Fix missing day-of-month in .changes entry
- Many changes thanks to Marko Saukko:
  - Only require 3 parameters in _src
  - When basetag is not defined use the Version from .spec file if possible.
  - Add -V verbose options and make things less verbose by default.
  - Fix version in changelog when no --ver is given to gp_release.
  - Make sure git interprets the tags as tags and not paths.
  - Check that spec file exists as well.
  - Don't print usage as it makes it very hard to see what actual error is.
  - Print ERROR when error happens.
  - When git tree is empty then we need additional checks.
* Mon Apr 15 2013 David Greaves <david@dgreaves.com> - 0.0.7-1
- Force upack to be pristine tar
- Document the --pristine flag
- Don't miss added/removed files when applying patches
* Thu Apr 11 2013 David Greaves <david@dgreaves.com> - 0.0.6-1
- Improve error reports and allow usage() from fatal
- Improve comments and docs
- Don't create mer-master if no patches exist
- Abort if --edit message is not changed
- Look for correct #### when stripping comments
- check EDITOR
- Set GIT_NAME/EMAIL environment variables from config for use in scripts
- Add a --build flag so gp_mkpkg just creates patches/tarball without hacking the spec/yaml
* Sat Mar 30 2013 David Greaves <david@dgreaves.com> - 0.0.5-1
- Handle %%setup more reliably
- gitpkg service handler validates inputs against regexp
* Sat Mar 30 2013 David Greaves <david@dgreaves.com> - 0.0.4-1
- Use gitpkg and verify REPO format
* Fri Mar 29 2013 David Greaves <david@dgreaves.com> - 0.0.3-2
- Set noarch, python-yaml dependency and python macros
* Fri Mar 29 2013 David Greaves <david@dgreaves.com> - 0.0.3-1
- Change use of --ver, --rel and --base to be more self-explanatory. Reword docs.
- Get the Name from packaging and rename function
- Always add -n src/ even if not present in original %%setup
- Fix breakage in gp_release --base (now --ver) handling
* Sun Mar 24 2013 David Greaves <david@dgreaves.com> - 0.0.2-1
- Extensive changes: see README.rst
- Patch and branch formats defined more rigidly
- Added source service for OBS
- Merged contributions from Thomas Perl and Kalle Jokiniemi
- Make supports proper packaging
- gp_mkpkg now handles patches in spec and yaml nicely;
  supports --git-dir to allow running in an osc dir
- gp_setup improved to handle more cases using existing
  packaging
- gp_release usefully updates packaging for single patches
  or when a new upstream is released; also useful to make a
  temporary packaging set for trial builds using format:
  Release: <rel>.<gitcount>.<sha1>
- Lots of "do the right thing"; eg get Version/Release from
  packaging; compare tag to Version; auto-increment Release
- Overview documentation should be clearer
* Mon Sep 10 2012 David Greaves <david@dgreaves.com> - 0.0.1-1
- Initial packaging for 0.0.1
